### Method

# Ggit Diff print

#### Declaration [src]

    void
    ggit_diff_print (
      GgitDiff* diff,
      GgitDiffFormatType type,
      GgitDiffLineCallback print_cb,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Iterates over `diff` generating text output like “git diff”.

#### Parameters

`type`

  Type: `GgitDiffFormatType`

  A `GgitDiffFormatType`.

`print_cb`

  Type: `GgitDiffLineCallback`

  A `GgitDiffLineCallback`.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.